openapi: 3.0.0
info:
  title: Thruk
  description: Thruk Monitoring - Thruk offers a rest api to expose various aspects of Thruk itself and livestatus information.
  contact: {}
  version: '1.0.0'
servers:
- url: https://your.host.name.io/
  variables: {}
paths:
  /alerts:
    get:
      tags:
      - default
      summary: getAlerts
      description: lists alerts based on logfiles
      operationId: getAlerts
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /checks/stats:
    get:
      tags:
      - default
      summary: getStatistics
      description: lists host / service check statistics.
      operationId: getStatistics
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /cmd:
    post:
      tags:
      - default
      summary: postCommand
      description: Sends any command.
      operationId: postCommand
      parameters: []
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /commands:
    get:
      tags:
      - default
      summary: getCommands
      description: lists livestatus commands. see https://www.naemon.org/documentation/usersguide/livestatus.html#commands for details.
      operationId: getCommands
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /commands/{name}:
    get:
      tags:
      - default
      summary: getCommand
      description: lists commands for given name. alias for /commands?name=<name>
      operationId: getCommand
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /commands/{name}/config:
    get:
      tags:
      - default
      summary: getCommandConfig
      description: 'Returns configuration for given command. You will find available attributes here: http://www.naemon.org/documentation/usersguide/objectdefinitions.html#command'
      operationId: getCommandConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - default
      summary: postCommandConfig
      description: Replace command configuration completely, use PATCH to only update specific attributes.
      operationId: postCommandConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - default
      summary: patchCommandConfig
      description: Update command configuration partially.
      operationId: patchCommandConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - default
      summary: deleteCommandConfig
      description: Deletes given command from configuration.
      operationId: deleteCommandConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /comments:
    get:
      tags:
      - default
      summary: getComments
      description: lists livestatus comments. see https://www.naemon.org/documentation/usersguide/livestatus.html#comments for details.
      operationId: getComments
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /comments/{id}:
    get:
      tags:
      - default
      summary: getComment
      description: lists comments for given id. alias for /comments?id=<id>
      operationId: getComment
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /config/check:
    post:
      tags:
      - default
      summary: postConfigCheck
      description: Returns result from config check. This check does require changes to be saved to disk before running the check.
      operationId: postConfigCheck
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /config/diff:
    get:
      tags:
      - default
      summary: getConfigDiff
      description: Returns differences between filesystem and stashed config changes.
      operationId: getConfigDiff
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /config/discard:
    post:
      tags:
      - default
      summary: postConfigDiscard
      description: Reverts stashed configuration changes. Alias for /config/revert
      operationId: postConfigDiscard
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /config/files:
    get:
      tags:
      - default
      summary: getConfigFiles
      description: returns all config files
      operationId: getConfigFiles
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /config/fullobjects:
    get:
      tags:
      - default
      summary: getConfigFullObjects
      description: Returns list of all objects with templates expanded. Used templates are saved to the :TEMPLATES attribute
      operationId: getConfigFullObjects
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /config/objects:
    get:
      tags:
      - default
      summary: Get Config Objects
      description: Returns list of all objects with their raw config. Use /config/fullobjects to get the full expanded config.
      operationId: GetConfigObjects
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - default
      summary: postConfigObjects
      description: Create new object. Besides the actual object config, requires 2 special paramters :FILE and :TYPE.
      operationId: postConfigObjects
      parameters: []
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - default
      summary: patchConfigObjects
      description: 'Change attributes for all matching objects. This is a very powerful url, for example you could change all hosts which have max_check_attempts=3 to max_check_attempts=5 with this command:'
      operationId: patchConfigObjects
      parameters: []
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /config/objects/{id}:
    patch:
      tags:
      - default
      summary: patchConfigObject
      description: Update object configuration partially.
      operationId: patchConfigObject
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - default
      summary: postConfigObject
      description: Replace object configuration completely.
      operationId: postConfigObject
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - default
      summary: deleteConfigObject
      description: Remove given object from configuration.
      operationId: deleteConfigObject
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      - name: id
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /config/precheck:
    get:
      tags:
      - default
      summary: getConfigPrecheck
      description: Returns result from Thruks config precheck. The precheck does not require changes to be saved to disk before running the check.
      operationId: getConfigPrecheck
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /config/reload:
    post:
      tags:
      - default
      summary: postConfigReload
      description: Reloads configuration with the configured reload command.
      operationId: postConfigReload
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /config/revert:
    post:
      tags:
      - default
      summary: postConfigRevert
      description: Reverts stashed configuration changes.
      operationId: postConfigRevert
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /config/save:
    post:
      tags:
      - default
      summary: postConfigSave
      description: Saves stashed configuration changes to disk.
      operationId: postConfigSave
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /contactgroups:
    get:
      tags:
      - default
      summary: getContactGroups
      description: lists livestatus contactgroups. see https://www.naemon.org/documentation/usersguide/livestatus.html#contactgroups for details.
      operationId: getContactGroups
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /contactgroups/{name}:
    get:
      tags:
      - default
      summary: getContactGroup
      description: lists contactgroups for given name. alias for /contactgroups?name=<name>
      operationId: getContactGroup
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /contactgroups/{name}/config:
    get:
      tags:
      - default
      summary: getContactGroupsConfig
      description: 'Returns configuration for given contactgroup. You will find available attributes here: http://www.naemon.org/documentation/usersguide/objectdefinitions.html#contactgroup'
      operationId: getContactGroupsConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - default
      summary: postContactGroupsConfig
      description: Replace contactgroup configuration completely, use PATCH to only update specific attributes.
      operationId: postContactGroupsConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - default
      summary: patchContactGroupsConfig
      description: Update contactgroup configuration partially.
      operationId: patchContactGroupsConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - default
      summary: deleteContactsGroupConfig
      description: Deletes given contactgroup from configuration.
      operationId: deleteContactsGroupConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /contacts:
    get:
      tags:
      - default
      summary: getContacts
      description: lists livestatus contacts. see https://www.naemon.org/documentation/usersguide/livestatus.html#contacts for details.
      operationId: getContacts
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /contacts/{name}:
    get:
      tags:
      - default
      summary: getContact
      description: lists contacts for given name. alias for /contacts?name=<name>
      operationId: getContact
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /contacts/{name}/config:
    get:
      tags:
      - default
      summary: getContactConfig
      description: 'Returns configuration for given contact. You will find available attributes here: http://www.naemon.org/documentation/usersguide/objectdefinitions.html#contact'
      operationId: getContactConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - default
      summary: postContactConfig
      description: Replace contact configuration completely, use PATCH to only update specific attributes.
      operationId: postContactConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - default
      summary: patchContactConfig
      description: Update contact configuration partially.
      operationId: patchContactConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - default
      summary: deleteContactConfig
      description: Deletes given contact from configuration.
      operationId: deleteContactConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /downtimes:
    get:
      tags:
      - default
      summary: getDowntimes
      description: lists livestatus downtimes. see https://www.naemon.org/documentation/usersguide/livestatus.html#downtimes for details.
      operationId: getDowntimes
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /downtimes/{id}:
    get:
      tags:
      - default
      summary: getDowntime
      description: lists downtimes for given id. alias for /downtimes?id=<id>
      operationId: getDowntime
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hostgroups:
    get:
      tags:
      - default
      summary: getHostgroups
      description: lists livestatus hostgroups. see https://www.naemon.org/documentation/usersguide/livestatus.html#hostgroups for details.
      operationId: getHostgroups
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hostgroups/{name}:
    get:
      tags:
      - default
      summary: getHostgroup
      description: lists hostgroups for given name. alias for /hostgroups?name=<name>
      operationId: getHostgroup
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hostgroups/{name}/config:
    get:
      tags:
      - default
      summary: getHostgroupConfig
      description: 'Returns configuration for given hostgroup. You will find available attributes here: http://www.naemon.org/documentation/usersguide/objectdefinitions.html#hostgroup'
      operationId: getHostgroupConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - default
      summary: postHostgroupConfig
      description: Replace hostgroups configuration completely, use PATCH to only update specific attributes.
      operationId: postHostgroupConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - default
      summary: patchHostgroupConfig
      description: Update hostgroup configuration partially.
      operationId: patchHostgroupConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - default
      summary: deleteHostgroupConfig
      description: Deletes given hostgroup from configuration.
      operationId: deleteHostgroupConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hostgroups/{name}/outages:
    get:
      tags:
      - default
      summary: getHostgroupOutages
      description: list of outages for this hostgroup.
      operationId: getHostgroupOutages
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hostgroups/{name}/stats:
    get:
      tags:
      - default
      summary: getHostgroupStats
      description: hash of livestatus hostgroup statistics. alias for /hosts/stats?groups[gte]=<name>
      operationId: getHostgroupStats
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hosts:
    get:
      tags:
      - default
      summary: getHosts
      description: lists livestatus hosts. see https://www.naemon.org/documentation/usersguide/livestatus.html#hosts for details.
      operationId: getHosts
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hosts/{name}:
    get:
      tags:
      - default
      summary: getHost
      description: lists hosts for given name. alias for /hosts?name=<name>
      operationId: getHost
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hosts/{name}/alerts:
    get:
      tags:
      - default
      summary: getHostAlerts
      description: lists alerts for given host. alias for /logs?type[~]=^(HOST|SERVICE) ALERT&host_name=<name>
      operationId: getHostAlerts
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hosts/{name}/commandline:
    get:
      tags:
      - default
      summary: getHostCommandLine
      description: displays commandline for check command of given hosts.
      operationId: getHostCommandLine
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hosts/{name}/config:
    get:
      tags:
      - default
      summary: getHostConfig
      description: 'Returns configuration for given host. You will find available attributes here: http://www.naemon.org/documentation/usersguide/objectdefinitions.html#host'
      operationId: getHostConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - default
      summary: postHostConfig
      description: Replace host configuration completely, use PATCH to only update specific attributes.
      operationId: postHostConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - default
      summary: patchHostConfig
      description: Update host configuration partially.
      operationId: patchHostConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - default
      summary: deleteHostConfig
      description: Deletes given host from configuration.
      operationId: deleteHostConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hosts/{name}/notifications:
    get:
      tags:
      - default
      summary: getHostNotifications
      description: lists notifications for given host. alias for /logs?class=3&host_name=<name>
      operationId: getHostNotifications
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hosts/{name}/outages:
    get:
      tags:
      - default
      summary: getHostOutages
      description: list of outages for this host.
      operationId: getHostOutages
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hosts/{name}/services:
    get:
      tags:
      - default
      summary: getHostServices
      description: lists services for given host. alias for /services?host_name=<name>
      operationId: getHostServices
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hosts/outages:
    get:
      tags:
      - default
      summary: getOutages
      description: list of outages for all hosts.
      operationId: getOutages
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hosts/stats:
    get:
      tags:
      - default
      summary: getHostStats
      description: hash of livestatus host statistics.
      operationId: getHostStats
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /hosts/totals:
    get:
      tags:
      - default
      summary: getHostTotals
      description: hash of livestatus host totals statistics. its basically a reduced set of /hosts/stats.
      operationId: getHostTotals
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /index:
    get:
      tags:
      - default
      summary: getIndex
      description: lists all available rest urls.
      operationId: getIndex
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /lmd/sites:
    get:
      tags:
      - default
      summary: getLMDSites
      description: lists connected sites. Only available if LMD (use_lmd) is enabled.
      operationId: getLMDSites
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /logs:
    get:
      tags:
      - default
      summary: getLogs
      description: lists livestatus logs. see https://www.naemon.org/documentation/usersguide/livestatus.html#log for details.
      operationId: getLogs
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /notifications:
    get:
      tags:
      - default
      summary: getNotifications
      description: lists notifications based on logfiles. alias for /logs?class=3
      operationId: getNotifications
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /processinfo:
    get:
      tags:
      - default
      summary: getProcessInfo
      description: lists livestatus sites status. see https://www.naemon.org/documentation/usersguide/livestatus.html#status for details.
      operationId: getProcessInfo
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  / /processinfo/stats:
    get:
      tags:
      - default
      summary: getProcessInfoStats
      description: lists livestatus sites statistics. see https://www.naemon.org/documentation/usersguide/livestatus.html#status for details.
      operationId: getProcessInfoStats
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /servicegroups:
    get:
      tags:
      - default
      summary: getServiceGroups
      description: lists livestatus servicegroups. see https://www.naemon.org/documentation/usersguide/livestatus.html#servicegroups for details.
      operationId: getServiceGroups
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /servicegroups/{name}:
    get:
      tags:
      - default
      summary: getServiceGroup
      description: lists servicegroups for given name. alias for /servicegroups?name=<name>
      operationId: getServiceGroup
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /servicegroups/{name}/config:
    get:
      tags:
      - default
      summary: getServiceGroupConfig
      description: 'Returns configuration for given servicegroup. You will find available attributes here: http://www.naemon.org/documentation/usersguide/objectdefinitions.html#servicegroup'
      operationId: getServiceGroupConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - default
      summary: postServiceGroupConfig
      description: Replace servicegroup configuration completely, use PATCH to only update specific attributes.
      operationId: postServiceGroupConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - default
      summary: patchServiceGroupConfig
      description: Update servicegroup configuration partially.
      operationId: patchServiceGroupConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - default
      summary: deleteServiceGroupConfig
      description: Deletes given servicegroup from configuration.
      operationId: deleteServiceGroupConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /servicegroups/{name}/outages:
    get:
      tags:
      - default
      summary: getServiceGroupOutages
      description: list of outages for this servicegroup.
      operationId: getServiceGroupOutages
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /servicegroups/{name}/stats:
    get:
      tags:
      - default
      summary: getServiceGroupStats
      description: hash of livestatus servicegroup statistics. alias for /services/stats?service_groups[gte]=<name>
      operationId: getServiceGroupStats
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /services:
    get:
      tags:
      - default
      summary: getServices
      description: lists livestatus services. see https://www.naemon.org/documentation/usersguide/livestatus.html#services for details. there is an alias /services.
      operationId: getServices
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /services/{host}/{service}:
    get:
      tags:
      - default
      summary: getHostService
      description: lists services for given host and name. alias for /services?host_name=<host_name>&description=<service>
      operationId: getHostService
      parameters:
      - name: host
        in: path
        description: host
        required: true
        style: simple
        schema:
          type: string
      - name: service
        in: path
        description: service
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /services/{host}/{service}/commandline:
    get:
      tags:
      - default
      summary: getHostServiceCommandLine
      description: displays commandline for check command of given services.
      operationId: getHostServiceCommandLine
      parameters:
      - name: host
        in: path
        description: host
        required: true
        style: simple
        schema:
          type: string
      - name: service
        in: path
        description: service
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /services/{host}/{service}/config:
    get:
      tags:
      - default
      summary: getHostServiceConfig
      description: 'Returns configuration for given service. You will find available attributes here: http://www.naemon.org/documentation/usersguide/objectdefinitions.html#service'
      operationId: getHostServiceConfig
      parameters:
      - name: host
        in: path
        description: host
        required: true
        style: simple
        schema:
          type: string
      - name: service
        in: path
        description: service
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - default
      summary: postHostServiceConfig
      description: Replace service configuration completely, use PATCH to only update specific attributes.
      operationId: postHostServiceConfig
      parameters:
      - name: host
        in: path
        description: host
        required: true
        style: simple
        schema:
          type: string
      - name: service
        in: path
        description: service
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - default
      summary: patchHostServiceConfig
      description: Update service configuration partially.
      operationId: patchHostServiceConfig
      parameters:
      - name: host
        in: path
        description: host
        required: true
        style: simple
        schema:
          type: string
      - name: service
        in: path
        description: service
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - default
      summary: deleteHostServiceConfig
      description: Deletes given service from configuration.
      operationId: deleteHostServiceConfig
      parameters:
      - name: host
        in: path
        description: host
        required: true
        style: simple
        schema:
          type: string
      - name: service
        in: path
        description: service
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /services/{host}/{service}/outages:
    get:
      tags:
      - default
      summary: getHostServiceOutages
      description: list of outages for this service.
      operationId: getHostServiceOutages
      parameters:
      - name: host
        in: path
        description: host
        required: true
        style: simple
        schema:
          type: string
      - name: service
        in: path
        description: service
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /services/outages:
    get:
      tags:
      - default
      summary: getServicesOutages
      description: list of outages for all services.
      operationId: getServicesOutages
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /services/stats:
    get:
      tags:
      - default
      summary: getServicesStats
      description: livestatus service statistics
      operationId: getServicesStats
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /services/totals:
    get:
      tags:
      - default
      summary: getServicesTotals
      description: livestatus service totals statistics. its basically a reduced set of /services/stats.
      operationId: getServicesTotals
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /sites:
    get:
      tags:
      - default
      summary: getSites
      description: lists configured backends
      operationId: getSites
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /thruk:
    get:
      tags:
      - default
      summary: getThruk
      description: hash of basic information about this thruk instance
      operationId: getThruk
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /thruk/whoami:
    get:
      tags:
      - default
      summary: getThrukWhoami
      description: show current profile information. alias for /thruk/users?id=<id>
      operationId: getThrukWhoami
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /timeperiods:
    get:
      tags:
      - default
      summary: getTimePeriods
      description: lists livestatus timeperiods. see https://www.naemon.org/documentation/usersguide/livestatus.html#timeperiods for details.
      operationId: getTimePeriods
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /timeperiods/{name}:
    get:
      tags:
      - default
      summary: getTimePeriod
      description: lists timeperiods for given name. alias for /timeperiods?name=<name>
      operationId: getTimePeriod
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /timeperiods/{name}/config:
    get:
      tags:
      - default
      summary: getTimePeriodConfig
      description: 'Returns configuration for given timeperiod. You will find available attributes here: http://www.naemon.org/documentation/usersguide/objectdefinitions.html#timeperiod'
      operationId: getTimePeriodConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - default
      summary: postTimePeriodConfig
      description: Replace timeperiod configuration completely, use PATCH to only update specific attributes.
      operationId: postTimePeriodConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - default
      summary: patchTimePeriodConfig
      description: Update timeperiods configuration partially.
      operationId: patchTimePeriodConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              type: object
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - default
      summary: deleteTimePeriodConfig
      description: Deletes given timeperiod from configuration.
      operationId: deleteTimePeriodConfig
      parameters:
      - name: name
        in: path
        description: name
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
tags:
- name: default
  description: ''
externalDocs:
  description: Find out more about the OpenAPI Initiative
  url: https://www.openapis.org/
